Page MenuHomePhabricator

Release MediaWiki 1.31.6/1.32.6/1.33.2/1.34.0
Closed, ResolvedPublic

Description

Previous release work: T225151: Release MediaWiki 1.31.4/1.32.4/1.33.1

Tracking for activities actually pertaining to making the release of MediaWiki 1.31.6/1.32.6/1.33.2/1.34.0

This would be targeted to be done by the end of December 2019. Though, due to the holidays, it would be sensible to get this done by mid December, so it is done as part of Q2 2019/2020 as per the WMF Calendar.

This may be the last release for MW 1.32, which is due to be EOL in January 2020. Which is unfortunate in terms of dates...

I want this out by Thursday 19 December 2019, so it's out of the way before Christmas

Related Objects

StatusSubtypeAssignedTask
ResolvedReedy
ResolvedReedy
ResolvedAnomie
ResolvedAnomie
ResolvedLadsgroup
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedReedy
Resolvedsbassett
Resolvedsbassett
ResolvedReedy
Resolveddduvall
ResolvedJdforrester-WMF
ResolvedCCicalese_WMF
ResolvedReedy
ResolvedReedy
ResolvedNov 8 2019Reedy

Event Timeline

Reedy created this task.Sep 21 2019, 9:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2019, 9:22 PM
Reedy updated the task description. (Show Details)Sep 21 2019, 10:11 PM
Reedy removed a subtask: Restricted Task.Oct 11 2019, 3:28 PM
Reedy renamed this task from Release MediaWiki 1.31.5/1.32.5/1.33.2 to Release MediaWiki 1.31.6/1.32.6/1.33.2.Oct 11 2019, 11:59 PM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Oct 12 2019, 12:06 AM
Reedy triaged this task as Medium priority.Nov 1 2019, 11:34 AM
Reedy renamed this task from Release MediaWiki 1.31.6/1.32.6/1.33.2 to Release MediaWiki 1.31.6/1.32.6/1.33.2/1.34.0.Dec 12 2019, 12:10 PM
Reedy updated the task description. (Show Details)
Reedy changed the visibility from "Custom Policy" to "Public (No Login Required)".Dec 19 2019, 2:18 PM
Reedy closed subtask T232023: Release MW 1.34 as Resolved.
Reedy claimed this task.Dec 19 2019, 2:46 PM